summaryrefslogtreecommitdiff
path: root/tests/touch/relative
diff options
context:
space:
mode:
Diffstat (limited to 'tests/touch/relative')
-rwxr-xr-xtests/touch/relative4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/touch/relative b/tests/touch/relative
index 35d1d4d46..dc1e49e5b 100755
--- a/tests/touch/relative
+++ b/tests/touch/relative
@@ -2,7 +2,7 @@
# Demonstrate using a combination of --reference and --date to
# set the time of a file back by an arbitrary amount.
-# Copyright (C) 2004 Free Software Foundation, Inc.
+# Copyright (C) 2004, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -28,7 +28,7 @@ fi
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit $?' 1 2 13 15
framework_failure=0